local WebRequestManager = {}
WebRequestManager.initServerTime = false
WebRequestManager.AUTH_LOGIN = "users"

function WebRequestManager:init()
	self.csWebRequestMgr = CS.BF.BFMain.Instance.WebRequestMgr
end

function WebRequestManager:valid()
	return nil ~= self.csWebRequestMgr
end

function WebRequestManager:post(url, fields, callback)
	if not self:valid() then
		return
	end
	self.csWebRequestMgr:Post(url, fields, callback)
end

function WebRequestManager:postForm(url, fields, callback)
	if not self:valid() then
		return
	end

	self.csWebRequestMgr:PostForm(url, fields, callback)
end

function WebRequestManager:get(url, callback)
	if not self:valid() then
		return
	end

	self.csWebRequestMgr:Get(url, callback)
end

return WebRequestManager